<?php

/**
 * @file
 * Provides methods for page callback.
 */

/**
 * Implement google_analytics_light_report_page_top_browser_view_callback().
 */
function google_analytics_light_report_page_top_browser_view_callback() {
  $library_exist = google_analytics_light_report_library_exists();
  $profileid = '';
  if (!empty($library_exist)) {
    $analytics = google_analytics_light_report_initialize_analytics();
    $profileid = google_analytics_light_report_get_profile_id($analytics);
  }
  $data = array();

  if (!empty($profileid)) {
    $results = $analytics->data_ga->get('ga:' . $profileid,
            '30daysAgo',
            'today',
            'ga:pageviews',
                array(
                  'dimensions'  => 'ga:browser',
                  'sort'        => '-ga:pageviews',
                )
             );
    $rows = $results->getRows();
    $data = array();
    foreach ($rows as $row) {
      $data[] = array(
        'name'   => $row[0],
        'value'  => $row[1],
      );
    }
  }
  drupal_json_output($data);
}

/**
 * Implement google_analytics_light_report_page_report_callback().
 */
function google_analytics_light_report_page_report_callback() {
  $output = array('#markup' => '');
  $output['#markup'] .= theme('google_analytics_report_content');
  return $output;
}

/**
 * Implement google_analytics_light_report_page_user_view_week_callback().
 */
function google_analytics_light_report_page_user_view_week_callback() {
  $library_exist = google_analytics_light_report_library_exists();
  $profileid = '';
  if (!empty($library_exist)) {
    $analytics = google_analytics_light_report_initialize_analytics();
    $profileid = google_analytics_light_report_get_profile_id($analytics);
  }
  $data = array();
  if (!empty($profileid)) {
    $results = $analytics->data_ga->get('ga:' . $profileid,
          '7daysAgo',
          GOOGLE_ANALYTICS_LIGHT_REPORT_REPORT_START,
          'ga:users',
          array(
            'dimensions'  => 'ga:day',
            'sort'        => '-ga:day',
          )
        );
    $rows = $results->getRows();
    foreach ($rows as $row) {
      $data[] = array(
        'user'   => $row[1],
        'day'  => $row[0],
      );
    }
  }
  drupal_json_output($data);
}

/**
 * Implement google_analytics_light_report_page_user_view_month_callback().
 */
function google_analytics_light_report_page_user_view_month_callback() {
  $library_exist = google_analytics_light_report_library_exists();
  $profileid = '';
  if (!empty($library_exist)) {
    $analytics = google_analytics_light_report_initialize_analytics();
    $profileid = google_analytics_light_report_get_profile_id($analytics);
  }
  $data = array();

  if (!empty($profileid)) {
    $results = $analytics->data_ga->get('ga:' . $profileid,
          '30daysAgo',
          GOOGLE_ANALYTICS_LIGHT_REPORT_REPORT_START,
          'ga:users',
          array(
            'dimensions'  => 'ga:day',
            'sort'        => '-ga:day',
          )
        );
    $rows = $results->getRows();
    foreach ($rows as $row) {
      $data[] = array(
        'user'   => $row[1],
        'day'  => $row[0],
      );
    }
  }
  drupal_json_output($data);
}

/**
 * Implement google_analytics_light_report_page_user_view_year_callback().
 */
function google_analytics_light_report_page_user_view_year_callback() {
  $library_exist = google_analytics_light_report_library_exists();
  $profileid = '';
  if (!empty($library_exist)) {
    $analytics = google_analytics_light_report_initialize_analytics();
    $profileid = google_analytics_light_report_get_profile_id($analytics);
  }
  $data = array();

  if (!empty($profileid)) {
    $results = $analytics->data_ga->get('ga:' . $profileid,
          '365daysAgo',
          GOOGLE_ANALYTICS_LIGHT_REPORT_REPORT_START,
          'ga:users',
          array(
            'dimensions'  => 'ga:month',
            'sort'        => '-ga:month',
          )
        );
    $rows = $results->getRows();
    foreach ($rows as $row) {
      $data[] = array(
        'user'   => $row[1],
        'day'  => $row[0],
      );
    }
  }
  drupal_json_output($data);
}
